Loading...
Searching...
No Matches
Dune::Amg::OneStepAMGCoarseSolverPolicyCpr< O, S, C > Class Template Reference

A policy class for solving the coarse level system using one step of AMG. More...

`#include <twolevelmethodcpr.hh>`

## Public Types

typedef O | Operator
| The type of the linear operator used.
typedef O::range_type | X
| The type of the range and domain of the operator.
typedef C | Criterion
| The type of the crition used for the aggregation within AMG.
typedef S | Smoother
| The type of the smoother used in AMG.
typedef Dune::Amg::SmootherTraits< S >::Arguments | SmootherArgs
| The type of the arguments used for constructing the smoother.
typedef AMG< Operator, X, Smoother > | AMGType
| The type of the AMG construct on the coarse level.
typedef AMGInverseOperator | CoarseLevelSolver
| The type of solver constructed for the coarse level.

## Public Member Functions

| OneStepAMGCoarseSolverPolicyCpr (const SmootherArgs &args, const Criterion &c)
| Constructs the coarse solver policy.
| OneStepAMGCoarseSolverPolicyCpr (const OneStepAMGCoarseSolverPolicyCpr &other)
| Copy constructor.
template<class P>
CoarseLevelSolver * | createCoarseLevelSolver (P &transferPolicy)
| Constructs a coarse level solver.

## Detailed Description

template<class O, class S, class C>
class Dune::Amg::OneStepAMGCoarseSolverPolicyCpr< O, S, C >

A policy class for solving the coarse level system using one step of AMG.

Template Parameters

  O | The type of the linear operator used.
  S | The type of the smoother used in AMG.
  C | The type of the crition used for the aggregation within AMG.

## Constructor & Destructor Documentation

## OneStepAMGCoarseSolverPolicyCpr()

template<class O, class S, class C>

Dune::Amg::OneStepAMGCoarseSolverPolicyCpr< O, S, C >::OneStepAMGCoarseSolverPolicyCpr | ( | const SmootherArgs & | args,
|  | const Criterion & | c )

inline

Constructs the coarse solver policy.

Parameters

  args | The arguments used for constructing the smoother.
  c | The crition used for the aggregation within AMG.

## Member Function Documentation

## createCoarseLevelSolver()

template<class O, class S, class C>
template<class P>

CoarseLevelSolver * Dune::Amg::OneStepAMGCoarseSolverPolicyCpr< O, S, C >::createCoarseLevelSolver | ( | P & | transferPolicy | ) |

inline

Constructs a coarse level solver.

Parameters

  transferPolicy | The policy describing the transfer between levels.

Returns
  A pointer to the constructed coarse level solver.

Template Parameters

  P | The type of the level transfer policy.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/twolevelmethodcpr.hh